<template>
  <div class="sidebar-profile flex-parent flex-no-wrap">
    <img  :src="user.image || '/images/no-avatar.png'" class="sidebar-avatar"/>
    <div class="sidebar-profile-info">
      <div class="sidebar-profile-name">{{(user.first_name) ? user.first_name : 'Untitled'}}</div>
      <div class="sidebar-profile-degree">{{user.school_name}}</div>
      <div class="sidebar-profile-school">{{user.city_name}}</div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'SideBarProfile',
  beforeMount(){
      this.$store.dispatch('loadProfile');
  },
  computed:{
    user(){
      console.log(this.$store.getters.user)
      return this.$store.getters.user
    },
  }
}
</script>
